org.apache.ignite.spi.communication.tcp.messages

## Class RecoveryLastReceivedMessage

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.messages.RecoveryLastReceivedMessage

- All Implemented Interfaces:
    Serializable, Message

      public class RecoveryLastReceivedMessage
      extends Object
      implements Message

  Recovery acknowledgment message.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `ALREADY_CONNECTED`
    `static int` | `MESSAGE_FULL_SIZE` Full message size (with message type) in bytes.
    `static long` | `NEED_WAIT` Need wait.
    `static long` | `NODE_STOPPING`
    `static long` | `UNKNOWN_NODE` Initiator node is not in current topogy.

    - ### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

      `DIRECT_TYPE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecoveryLastReceivedMessage()` Default constructor required by `Message`.
    `RecoveryLastReceivedMessage(long rcvCnt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `directType()` Gets message type.
    `byte` | `fieldsCount()` Gets fields count.
    `void` | `onAckReceived()` Method called when ack message received.
    `boolean` | `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
    `long` | `received()`
    `String` | `toString()`
    `boolean` | `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALREADY_CONNECTED

          public static final long ALREADY_CONNECTED

      See Also:
        Constant Field Values

    - #### NODE_STOPPING

          public static final long NODE_STOPPING

      See Also:
        Constant Field Values

    - #### NEED_WAIT

          public static final long NEED_WAIT

      Need wait.
      See Also:
        Constant Field Values

    - #### UNKNOWN_NODE

          public static final long UNKNOWN_NODE

      Initiator node is not in current topogy.
      See Also:
        Constant Field Values

    - #### MESSAGE_FULL_SIZE

          public static final int MESSAGE_FULL_SIZE

      Full message size (with message type) in bytes.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RecoveryLastReceivedMessage

          public RecoveryLastReceivedMessage()

      Default constructor required by `Message`.

    - #### RecoveryLastReceivedMessage

          public RecoveryLastReceivedMessage(long rcvCnt)

      Parameters:
        `rcvCnt` - Number of received messages.

  - ### Method Detail

    - #### received

          public long received()

      Returns:
        Number of received messages.

    - #### onAckReceived

          public void onAckReceived()

      Method called when ack message received.
      Specified by:
        `onAckReceived` in interface `Message`

    - #### writeTo

          public boolean writeTo(ByteBuffer buf,
                                 MessageWriter writer)

      Writes this message to provided byte buffer.
      Specified by:
        `writeTo` in interface `Message`
      Parameters:
        `buf` - Byte buffer.
        `writer` - Writer.
      Returns:
        Whether message was fully written.

    - #### readFrom

          public boolean readFrom(ByteBuffer buf,
                                  MessageReader reader)

      Reads this message from provided byte buffer.
      Specified by:
        `readFrom` in interface `Message`
      Parameters:
        `buf` - Byte buffer.
        `reader` - Reader.
      Returns:
        Whether message was fully read.

    - #### directType

          public short directType()

      Gets message type.
      Specified by:
        `directType` in interface `Message`
      Returns:
        Message type.

    - #### fieldsCount

          public byte fieldsCount()

      Gets fields count.
      Specified by:
        `fieldsCount` in interface `Message`
      Returns:
        Fields count.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020